using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Datory;
using GxPress.Entity.Missive;
using SqlKata;

namespace GxPress.Repository.Interface.Missive
{
    public interface IMissiveCcRepository : IRepository
    {
        Task<int> InsertAsync(MissiveCc missiveCc);


        Task<MissiveCc> GetAsync(int id);


        Task<bool> UpdateAsync(MissiveCc missiveCc);


        Task<bool> DeleteAsync(Query query);


        Task<bool> UpdateAsync(Query query);


        Task<IEnumerable<MissiveCc>> GetAllAsync(Query query);
        /// <summary>
        /// list 添加站内信抄送人
        /// </summary>
        /// <param name="missiveCcs"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(List<MissiveCc> missiveCcs);
    }
}
